
library ieee ;
use ieee.std_logic_1164.all;


entity top_mem is
          
  port (
    CLK       : in  std_logic;
    ADDRESS   : in  std_logic_vector(3 downto 0);
    DATAOUT   : out std_logic_vector(15 downto 0)
    );
end entity top_mem;

architecture arc_top_mem of top_mem is
    
   component spROM is
     generic (initFile : string := "dummy_file_name.mif");
     port (
       CLK        : in  std_logic;          
       ADDRESS    : in  std_logic_vector;
       DATAOUT    : out std_logic_vector
    );
    end component spROM_16;

begin

  U0 : spROM
      generic map (initFile => "my_init_file.mif")
      port map (
        CLK     => CLK,
        ADDRESS => ADDRESS,
        DATAOUT => DATAOUT
   );
   

end architecture arc_top_mem;
-----------------------------------------------------------------
--  End of File: top_mem.vhd
-----------------------------------------------------------------
